// JavaScript
// name cahrtsone.js
// made in http://mykaralw.pochta.ru.
//    .
// \ TextBuffer.      .
//---------------------------------
//  :
// wid,hei -      .
// dat() -  \ \.
// name,nameD -     .
// col() - \  \ \.
// colopt - \  [default-value-none].
// bgCol() - 3    +  .
// tinfo -     [true-false].

function textchartsone (wid,hei,dat,name,nameD,col,colopt,bgCol,tinfo)
{
	var dat_col;
	var max_dat = 0;
	var min_dat = 0;
	var n_dat = dat.length;
	var dat_wid = Math.ceil (wid / n_dat);
	var dat_hei = 0;
	var hei_null = 0;
	var hei_p = 0;
	var dat_m = 0;
	var tbuf = '';
	for (var i = 0; i < n_dat; i++) dat[i] *= 1;
	for (var i = 0; i < n_dat; i++)
	{
		if (max_dat < dat[i]) max_dat = dat[i];
		if (min_dat > dat[i]) min_dat = dat[i];
	}
	dat_m = hei / (max_dat - min_dat);
	hei_p = Math.ceil (dat_m * max_dat);
	tbuf += '<table bgcolor="' + bgCol[0] + '"><tbody><tr><td>\n';
	tbuf += '<table bgcolor="' + bgCol[2] + '" width="' + wid + '" height="' + hei + '" cellpadding="0" cellspacing="0" border="1" rules="none">\n<caption><b>' + nameC + '</b></caption>\n<tbody><tr valign="top">';
	for (var i = 0; i < n_dat; i++)
	{
		tbuf += '<td>\n';
		if (dat[i] < 0)
		{
			dat_hei = Math.ceil (-dat_m * dat[i]);
			hei_null = hei_p;
		}
		else
		{
			dat_hei = Math.ceil (dat_m * dat[i]);
			hei_null = hei_p - dat_hei;
		}
		if (hei_null != 0) tbuf += '<table bgcolor="' + bgCol[1] + '" width="' + dat_wid + '" height="' + hei_null + '" cellpadding="0" cellspacing="0" border="0" rules="none"><tbody><tr><td></td></tr></tbody></table>\n';
		if (colopt == 'value') {dat_col = col [Math.ceil ((col.length - 1) * (dat[i] - min_dat) / (max_dat - min_dat))];}
		else if (colopt == 'none') {dat_col = bgCol [0];}
		else {dat_col = col [i % col.length];}
		tbuf += '<table width="' + dat_wid + '" height="' + dat_hei + '" bgcolor="' + dat_col + '" cellpadding="0" cellspacing="0" border="1" rules="none" bordercolor="' + bgCol[3] + '"><tbody><tr><td></td></tr></tbody></table>\n';
		tbuf += '</td>\n';
	}
	tbuf += '</tr></tbody></table>\n';
	if (tinfo)
	{
		tbuf += '<table><tbody>\n<tr><td><i><b> :</b></i> ' + wid + 'x' + hei + '</td></tr>\n';
		tbuf += '<tr><td><i><b>\ :</b></i> ' + colopt + ' <i><b>- :</b></i> ' + n_dat + '</td></tr>\n</tbody></table>\n';
	}
	tbuf += '<table cellpadding="1" cellspacing="0" border="1">\n<caption><b>' + nameD + '</b></caption>\n<tbody><tr>\n';
	for (var i = 0; i < n_dat; i++)
	{
		if (((i % 10) == 0) && (i != 0)) {tbuf += '</tr><tr>\n';}
		tbuf += '<td align="center"><b>' + (i + 1) + ':</b><br />'+ dat[i] + '</td>\n';
	}
	tbuf += '</tr></tbody></table>\n';
	tbuf += '</td></tr></tbody></table>\n';
	return tbuf;
}
//end script
